twitter4j

## Interface ConnectionLifeCycleListener

    public interface ConnectionLifeCycleListener

Since:
  Twitter4J 2.1.7
Author:
  Yusuke Yamamoto - yusuke at mac.com

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onCleanUp()` called before thread gets cleaned up
`void` `onConnect()` called after connection was established
`void` `onDisconnect()` called after connection was disconnected

### Method Detail

#### onConnect

    void onConnect()

called after connection was established

#### onDisconnect

    void onDisconnect()

called after connection was disconnected

#### onCleanUp

    void onCleanUp()

called before thread gets cleaned up